esp-fs-webserver

Loading...
Searching...
No Matches
Public Member Functions | List of all members
VariableList Class Reference

`#include <linked_list.h>`

## Public Member Functions
| VariableList ()
template<class T >
void | addItem (T &var, const char *key)
VarNode * | getNode (const char *key)
bool | saveValues (fs::FS *fs, const char *filename)
bool | loadValues (fs::FS *fs, const char *filename)
virtual uint8_t | TypeOf (const bool &)
virtual uint8_t | TypeOf (const char &)
virtual uint8_t | TypeOf (const char *)
virtual uint8_t | TypeOf (const double &)
virtual uint8_t | TypeOf (const float &)
virtual uint8_t | TypeOf (const int &)
virtual uint8_t | TypeOf (const unsigned int &)
virtual uint8_t | TypeOf (const unsigned long &)
virtual uint8_t | TypeOf (const unsigned char &)
virtual uint8_t | TypeOf (const String &)

## Detailed Description

Definition at line 34 of file linked_list.h.

## Constructor & Destructor Documentation

## ◆ VariableList()

VariableList::VariableList | ( |  | ) |
| inline

Definition at line 41 of file linked_list.h.

## Member Function Documentation

## ◆ addItem()

template<class T >

void VariableList::addItem | ( | T & | var,
|  | const char * | key
| ) |  |
| inline

Definition at line 44 of file linked_list.h.

## ◆ getNode()

VarNode * VariableList::getNode | ( | const char * | key | ) |
| inline

Definition at line 61 of file linked_list.h.

## ◆ loadValues()

bool VariableList::loadValues | ( | fs::FS * | fs,
|  | const char * | filename
| ) |  |
| inline

Definition at line 110 of file linked_list.h.

## ◆ saveValues()

bool VariableList::saveValues | ( | fs::FS * | fs,
|  | const char * | filename
| ) |  |
| inline

Definition at line 75 of file linked_list.h.

## ◆ TypeOf() [1/10]

virtual uint8_t VariableList::TypeOf | ( | const bool & |  | ) |
| inline virtual

Definition at line 151 of file linked_list.h.

## ◆ TypeOf() [2/10]

virtual uint8_t VariableList::TypeOf | ( | const char & |  | ) |
| inline virtual

Definition at line 152 of file linked_list.h.

## ◆ TypeOf() [3/10]

virtual uint8_t VariableList::TypeOf | ( | const char * |  | ) |
| inline virtual

Definition at line 153 of file linked_list.h.

## ◆ TypeOf() [4/10]

virtual uint8_t VariableList::TypeOf | ( | const double & |  | ) |
| inline virtual

Definition at line 154 of file linked_list.h.

## ◆ TypeOf() [5/10]

virtual uint8_t VariableList::TypeOf | ( | const float & |  | ) |
| inline virtual

Definition at line 155 of file linked_list.h.

## ◆ TypeOf() [6/10]

virtual uint8_t VariableList::TypeOf | ( | const int & |  | ) |
| inline virtual

Definition at line 156 of file linked_list.h.

## ◆ TypeOf() [7/10]

virtual uint8_t VariableList::TypeOf | ( | const String & |  | ) |
| inline virtual

Definition at line 160 of file linked_list.h.

## ◆ TypeOf() [8/10]

virtual uint8_t VariableList::TypeOf | ( | const unsigned char & |  | ) |
| inline virtual

Definition at line 159 of file linked_list.h.

## ◆ TypeOf() [9/10]

virtual uint8_t VariableList::TypeOf | ( | const unsigned int & |  | ) |
| inline virtual

Definition at line 157 of file linked_list.h.

## ◆ TypeOf() [10/10]

virtual uint8_t VariableList::TypeOf | ( | const unsigned long & |  | ) |
| inline virtual

Definition at line 158 of file linked_list.h.

The documentation for this class was generated from the following file:

- src/linked_list.h